mcedit2.widgets package
=======================

Subpackages
-----------

.. toctree::

    mcedit2.widgets.nbttree

Submodules
----------

mcedit2.widgets.blockpicker module
----------------------------------

.. automodule:: mcedit2.widgets.blockpicker
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.blocktype_list module
-------------------------------------

.. automodule:: mcedit2.widgets.blocktype_list
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.flowlayout module
---------------------------------

.. automodule:: mcedit2.widgets.flowlayout
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.infopanel module
--------------------------------

.. automodule:: mcedit2.widgets.infopanel
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.layout module
-----------------------------

.. automodule:: mcedit2.widgets.layout
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.log_view module
-------------------------------

.. automodule:: mcedit2.widgets.log_view
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.objectinspector module
--------------------------------------

.. automodule:: mcedit2.widgets.objectinspector
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.propertylist module
-----------------------------------

.. automodule:: mcedit2.widgets.propertylist
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.shapewidget module
----------------------------------

.. automodule:: mcedit2.widgets.shapewidget
    :members:
    :undoc-members:
    :show-inheritance:

mcedit2.widgets.spinslider module
---------------------------------

.. automodule:: mcedit2.widgets.spinslider
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: mcedit2.widgets
    :members:
    :undoc-members:
    :show-inheritance:
